FROM openjdk:11 AS development

WORKDIR /opt/app

ENV TASK_LIST_URI=jhttp://tapas-tasks:8081
ENV EXECUTOR_ROBOT_URI=http://executor-robot:8084
ENV EXECUTOR_COMPUTATION_URI=http://executor-computation:8085
ENV MQTT_BROKER_URI=tcp://hivemq:1883
ENV SPRING_DATA_MONGODB_URI=mongodb://root:password@tapas-db:27017

COPY roster/.mvn ./.mvn
COPY roster/mvnw roster/pom.xml roster/mvnw.cmd ./

RUN apt-get clean && apt-get update && apt-get install dos2unix
RUN dos2unix mvnw

COPY common/pom.xml /opt/app/common/
COPY common/src /opt/app/common/src
COPY common/*target /opt/app/common/target

COPY roster/src /opt/app/src
COPY roster/*target /opt/app/target

RUN ./mvnw -f /opt/app/common/pom.xml clean install

RUN ./mvnw clean install

CMD ["./mvnw", "spring-boot:run", "-Dspring-boot.run.jvmArguments=\"-agentlib:jdwp=transport=dt_socket,server=y,suspend=n,address=*:5005\"", "-Dspring.devtools.restart.enabled=true"]



